Bug 583501 - gcc internal compiler error during wine compile
Summary: gcc internal compiler error during wine compile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 580024
TreeView+ depends on / blocked
 
Reported: 2010-04-18 21:40 UTC by Andreas Bierfert
Modified: 2010-04-25 13:52 UTC (History)
2 users (show)

Fixed In Version: gcc-4.4.3-18.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-25 13:52:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 43662 None None None Never

Description Andreas Bierfert 2010-04-18 21:40:20 UTC
lsa.c: In function 'build_domain':
lsa.c:346: internal compiler error: in insert_save, at caller-save.c:1304
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.

Failed scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=2123960

Also fails on F13 with gcc-4.4.3-16.fc13.x86_64

Comment 1 Jakub Jelinek 2010-04-18 21:50:11 UTC
That was a scratch build, there is no src.rpm for that.
Preferrably rerun in local mock and attach the preprocessed source it created in the mock buildroot (look for
Preprocessed source stored into /tmp/ccXXXXXXXX.out file, please attach this to your bugreport.
message in the build.log file and attach that file).

Comment 2 Andreas Bierfert 2010-04-18 22:03:19 UTC
Sorry, I am on the road (umts only), so no mock. I have uploaded the srpm here:

http://fedora.lowlatency.de/wine-1.1.43-1.fc13.src.rpm

Comment 3 Jakub Jelinek 2010-04-19 08:29:01 UTC
This is upstream PR43662.

Comment 4 Jakub Jelinek 2010-04-22 12:19:12 UTC
Should be fixed in gcc-4.4.3-18.fc13.

Comment 5 Fedora Update System 2010-04-22 15:00:19 UTC
gcc-4.4.3-18.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gcc-4.4.3-18.fc13

Comment 6 Fedora Update System 2010-04-23 06:04:55 UTC
gcc-4.4.3-18.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gcc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gcc-4.4.3-18.fc13

Comment 7 Fedora Update System 2010-04-25 13:52:19 UTC
gcc-4.4.3-18.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.